## org.apache.aries.subsystem.core.internal
Class StartResourceComparator

    java.lang.Object
      org.apache.aries.subsystem.core.internal.StartResourceComparator

All Implemented Interfaces:
  Comparator<org.osgi.resource.Resource>

    public class StartResourceComparator

extends Object
implements Comparator<org.osgi.resource.Resource>

Constructor Summary
`StartResourceComparator(SubsystemContentHeader header)`

Method Summary
`int` `compare(org.osgi.resource.Resource r1, org.osgi.resource.Resource r2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### StartResourceComparator

    public StartResourceComparator(SubsystemContentHeader header)

Method Detail

### compare

    public int compare(org.osgi.resource.Resource r1,
                       org.osgi.resource.Resource r2)

  Specified by:
    `compare` in interface `Comparator<org.osgi.resource.Resource>`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.